NetworkHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## network
Class NetworkHandler

    java.lang.Object
      network.NetworkHandler

All Implemented Interfaces:
  ConnectionNotifier, TimerListener

public class NetworkHandler
extends java.lang.Object
implements TimerListener, ConnectionNotifier

NetworkHandler Klasse Dient zur Verwaltung und Überwachung aller drei Netzwerkverbindungen Übernimmt den Aufbau, die Kontrolle und Beendung der Netzwerkkommunikation

Constructor Summary
`NetworkHandler(ConnectionNotifier handl, SettingsData setData)` Konstruktor

Method Summary
`void` | `connect()` Verbindet alle Clients
`void` | `connectCmd()` Verbindet die Command-Leitung
`void` | `connectFtp()` Verbindet die FTP-Leitung
`void` | `connectionNotification()` Methode, die aufgerufen wird, wenn eine Verbindung abgebrochen wurde
`void` | `connectSql()` Verbindet die SQL-Leitung
`void` | `disconnect()` Trennt alle Clients
`void` | `disconnectCmd()` Trennt die Command-Leitung
`void` | `disconnectFtp()` Trennt die FTP-Leitung
`void` | `disconnectSql()` Trennt die SQL-Leitung
`Queue` | `getComQueue()`
`DBModule` | `getDBModule()` ###################### GET-METHODEN ######################
`FTPModule` | `getFTPModule()`
`java.lang.String` | `getIPAddress()`
`Queue` | `getMsgQueue()`
`NClient` | `getNClient()`
`ObjManager` | `getObjManager()`
`boolean` | `isCmdConnected()` Liefert zurück, ob der Client der Command-Leitung verbunden ist.
`boolean` | `isConnected()` Liefert zurück, ob alle Clients verbunden sind.
`boolean` | `isFtpConnected()` Liefert zurück, ob der Client der FTP-Leitung verbunden ist.
`boolean` | `isSqlConnected()` Liefert zurück, ob der Client der SQL-Leitung verbunden ist.
`void` | `messageEvent(Message msg)` Methode, die aufgerufen wird, wenn eine Nachricht vom Roboter gekommen ist
`void` | `setIPAddress(java.lang.String ip)`
`void` | `startTimer()` Startet den Timer, der automatisch Verbindungen aufbaut und überprüft
`void` | `stopTimer()` Stoppt den Timer, der automatisch Verbindungen aufbaut und überprüft
`void` | `timerAction(Timer t)` Methode, die vom Timer aufgerufen wird
`void` | `updateSettings(SettingsData setData)` Aktualisiert die Einstellung laut SettingsData-Objekt

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetworkHandler

    public NetworkHandler(ConnectionNotifier handl,
                          SettingsData setData)

  Konstruktor

Parameters:
  `handl` - Referenz auf MainShell zur Übermittlung v. Statusmeldungen und Nachrichten
  `setData` - beinhaltet die gesamten Einstellungen für den Verbindungsaufbau

Method Detail

### timerAction

    public void timerAction(Timer t)

  Methode, die vom Timer aufgerufen wird

  Specified by:
    `timerAction` in interface `TimerListener`
  Parameters:
    `t` - Timer der die Methode in regelmäßigen Abständen aufruft

### connectionNotification

    public void connectionNotification()

  Methode, die aufgerufen wird, wenn eine Verbindung abgebrochen wurde

  Specified by:
    `connectionNotification` in interface `ConnectionNotifier`

### messageEvent

    public void messageEvent(Message msg)

  Methode, die aufgerufen wird, wenn eine Nachricht vom Roboter gekommen ist

  Specified by:
    `messageEvent` in interface `ConnectionNotifier`
  Parameters:
    `msg` - Nachricht die empfangen wurde

### updateSettings

    public void updateSettings(SettingsData setData)

  Aktualisiert die Einstellung laut SettingsData-Objekt

  Parameters:
    `setData` - beinhaltet die Daten für den Verbindungsaufbau

### startTimer

    public void startTimer()

  Startet den Timer, der automatisch Verbindungen aufbaut und überprüft

### stopTimer

    public void stopTimer()

  Stoppt den Timer, der automatisch Verbindungen aufbaut und überprüft

### connect

    public void connect()

  Verbindet alle Clients

### connectCmd

    public void connectCmd()

  Verbindet die Command-Leitung

### connectSql

    public void connectSql()

  Verbindet die SQL-Leitung

### connectFtp

    public void connectFtp()

  Verbindet die FTP-Leitung

### disconnect

    public void disconnect()

  Trennt alle Clients

### disconnectCmd

    public void disconnectCmd()

  Trennt die Command-Leitung

### disconnectSql

    public void disconnectSql()

  Trennt die SQL-Leitung

### disconnectFtp

    public void disconnectFtp()

  Trennt die FTP-Leitung

### isConnected

    public boolean isConnected()

  Liefert zurück, ob alle Clients verbunden sind.

  Returns:
    true wenn verbunden, sonst false

### isCmdConnected

    public boolean isCmdConnected()

  Liefert zurück, ob der Client der Command-Leitung verbunden ist.

  Returns:
    true wenn verbunden, sonst false

### isSqlConnected

    public boolean isSqlConnected()

  Liefert zurück, ob der Client der SQL-Leitung verbunden ist.

  Returns:
    true wenn verbunden, sonst false

### isFtpConnected

    public boolean isFtpConnected()

  Liefert zurück, ob der Client der FTP-Leitung verbunden ist.

  Returns:
    true wenn verbunden, sonst false

### getDBModule

    public DBModule getDBModule()

  ###################### GET-METHODEN ######################

### getObjManager

    public ObjManager getObjManager()

### getNClient

    public NClient getNClient()

### getFTPModule

    public FTPModule getFTPModule()

### getComQueue

    public Queue getComQueue()

### getMsgQueue

    public Queue getMsgQueue()

### getIPAddress

    public java.lang.String getIPAddress()

### setIPAddress

    public void setIPAddress(java.lang.String ip)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD